cordova.define("de.appplant.cordova.plugin.email-composer.EmailComposer", function(require, exports, module) { /*
    Copyright 2013-2014 appPlant UG

    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
*/

var EmailComposer = function () {

};

EmailComposer.prototype = {
    /**
     * Opens the E-controller with pre-filled data.
     *
     * @param {Function} callback
     * @param {Object?} options
     */
    open: function (callback, options) {
        var callbackFn = function () {
            callback.apply(options || window, arguments)
            },
            options = options || {};

        var defaults = {
            subject: null,
            body: null,
            to: null,
            cc: null,
            bcc: null,
            attachments: null,
            isHtml: true,
            layerTitle: null
        }

        for (var key in defaults) {
            if (options[key] !== undefined) {
                defaults[key] = options[key];
            }
        }

        cordova.exec(callbackFn, null, 'EmailComposer', 'open', [options]);
    },

    /**
     * Alias for `open()`.
     */
    openDraft: function () {
        this.open.apply(this, arguments);
    },

    /**
     * Specifies whether Emails can be sent.
     *
     * @param {Function} callback
     * @param {Object?}  scope (default: window)
     */
    isServiceAvailable: function (callback, scope) {
        var callbackFn = function () {
            callback.apply(scope || window, arguments);
        };

        cordova.exec(callbackFn, null, 'EmailComposer', 'isServiceAvailable', []);
    },

    /**
     * Delete prior screenshot files.
     *
     * @param {Function} callback
     * @param {Object?}  scope (default: window)
     */
    deleteScreenShotFiles: function (callback, scope) {
        var callbackFn = function () {
            callback.apply(scope || window, arguments);
        };

        cordova.exec(callbackFn, null, 'EmailComposer', 'deleteScreenShotFiles', []);
    }

};

var plugin = new EmailComposer();

module.exports = plugin;
});
